Brett Johnson kirjoitti 26.02.2018 klo 20:52:
> On Thu, Feb 15, 2018 at 4:35 AM, Timo Aaltonen <tjaal...@debian.org> wrote:
>> Looks like latest vulkan changed how it depends on SPIRV, so we'll just
>> bite the bullet and package glslang and spirv-tools separately instead..
> 
> I've got a first draft of these packages done.
> 
> Also, I think I should maybe clarify the changes in how the
> loader/validation sources pull in glslang and spirv-*.
> 
> Nothing has really changed WRT dependencies on the source code.
> libVkLayer still requires glslang, which requires spirv-tools.  The
> only difference is that spirv-tools and spirv-headers is now pulled in
> by the glslang sources, instead of by the LVL sources directly.  I.e.
> the "update_external_sources.sh" script clones glslang, then runs the
> "update_glslang_sources.py" script, which pulls in the correct version
> of spirv-tools and spirv-headers (inside the glslang source tree).
> So, just simply changing the debian/get-external.sh script to no
> longer pull in spirv-tools is not sufficient.
> 
> Could I suggest an alternative implementation of the
> debian/get-external.sh script?  Maybe simply call the existing
> "update_external_sources.sh" script, then find/rm the resulting .git
> directories inside of "external"?  That would ensure you always had
> the correct dependencies, even if Khronos/LunarG changes the way
> they're fetched again.

I've done that locally, just wondering (again) if glslang should be
packaged separately or not. Because now would be the time to do it..


-- 
t

Reply via email to